<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

    <script>
        /* 
            Faça um algoritmo que retorne a a letra mias repetida de uma string
        */
        function mostUsedChar(text) {
            // implementar logica aqui
            const obj = {};
            for (let char of text) {
                obj[char] = obj[char] + 1 || 1
            }
            const max = Math.max.apply(null, Object.values(obj));
            const result = Object.entries(obj).filter((val) => val[1] === max).flat();
            return result[0];
        }

        // Resultados esperados
        console.log(mostUsedChar("fdgdfgff"), 'f') // f
        console.log(mostUsedChar("Lorem ipsum"), 'm') // m
        console.log(mostUsedChar("adsassdasd"), 's') // s
        console.log(mostUsedChar("testeeeee"), 'e') // e

    </script>
</body>

</html>